      SUBROUTINE TIMER(T)
C   ==================================================================
C   ===                                                            ===
C   ===    This subroutine returns the elapsed time since its      ===
C   ===                         first CALL                         ===
C   ===                                                            ===
C   ===    ATTENTION - non-standard intrinsic function IGETCL      ===
C   ===                     SUPRENUM version                       ===
C   ===                                                            ===
C   ===                      vsg - March, 91                       ===
C   ==================================================================
 
CC-Suprenum
      INTRINSIC IGETCL

      DOUBLE PRECISION T

CC-Suprenum
      T = DBLE(IGETCL()) * 2.D-4

      END
